Recent Comments Widget Causes Invalid XHTML

The Recent Comments Widget in the sidebar was one of the most requested widgets by WordPress.com users. It provides list of the most recent comments on posts in the blog.

However, it breaks XHTML validity. I used the W3C validation service to test mine, here is a screenshot of the error:

Invalid XHTML error because of Recent Comments widget

This validation was done using the Web Developer Extension for Mozilla Firefox. Optionally you can directly use the W3C Markup Validation Service to validate your web page.

The error is because the style element is included in the sidebar widget. If the Recent Comments widget is removed, the page successfully validates.

Update

I got an immediate reply for my feedback regarding this from Andy Skelton that this will be fixed in an update soon.

Technorati tags: , , , , ,

Copyright Abhijit Nadgouda.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: